screenx = 800
screeny = 450
 
If InitEngine3D() And   InitSprite() And InitKeyboard() And InitMouse()
  Global hwnd = OpenWindow(#PB_Any, 0, 0, screenx, screeny, "CreateWaterSample", #PB_Window_SystemMenu|#PB_Window_MinimizeGadget|#PB_Window_ScreenCentered)
  If hwnd
    If OpenWindowedScreen(WindowID(hwnd), 0, 0, screenx, screeny, 1, 0, 0)
    Else
      MessageBox_(0, "OpenWindowedScreen() failed!", "ERROR", #MB_ICONERROR)
      End
    EndIf 
  Else 
    MessageBox_(0, "OpenWindow() failed!", "ERROR", #MB_ICONERROR)
    End
  EndIf 
Else
  MessageBox_(0, "InitEngine3D() Or InitSprite() Or InitKeyboard() Or InitMouse() failed!", "ERROR", #MB_ICONERROR)
  End
EndIf
 
Add3DArchive("\Data", #PB_3DArchive_FileSystem)

CreateCamera(camera, 0, 0, 100, 100)
CameraLocate(camera, 0, 10, 0)

SkyBox("sky.jpg")

CreateWater(camera, x, y, z, 8, #PB_World_WaterCaustics|#PB_World_WaterFoam)
 
Repeat  
  
  Event = WindowEvent()
  
  If ExamineKeyboard()    
    If KeyboardPushed(#PB_Key_A)
      KeyX.f = -3
    ElseIf KeyboardPushed(#PB_Key_D)
      KeyX.f = 3
    Else
      KeyX.f = 0
    EndIf
        
    If KeyboardPushed(#PB_Key_W)
      KeyY.f = -3
    ElseIf KeyboardPushed(#PB_Key_S)
      KeyY.f = 3
    Else
      KeyY.f = 0
    EndIf       
  EndIf  
  
  If ExamineMouse()
    MouseX.f = -MouseDeltaX()/10 
    MouseY.f = -MouseDeltaY()/10
  EndIf
  
  MoveCamera(camera, KeyX.f, 0, KeyY.f)
  CameraLocate(camera, CameraX(camera), 10, CameraZ(camera))
  RotateCamera(camera, MouseY.f, MouseX.f, 0, #PB_Relative)
  
  RenderWorld()
  FlipBuffers()

Until Event = #PB_Event_CloseWindow Or KeyboardReleased(#PB_Key_Escape)

; IDE Options = PureBasic 4.51 (Windows - x86)
; CursorPosition = 20
; EnableThread
; EnableXP
; EnableUser
; Executable = D:\Users\__myi__\Desktop\Verschiedens\_PB440\test.exe